export type networkErrorInfo = {
	networkError: string,
};

const state: networkErrorInfo = {
	networkError: uni.getStorageSync('networkError') || '0'
};

export default {
	namespaced: true,
	state,
	getters: {
		networkError: (state): string => {
			return state.networkError;
		}
	},
	mutations: {
		setStatus(state: networkErrorInfo, payload: string): void {
			uni.setStorageSync('networkError', payload)
			state.networkError = payload;
		},
	},
	actions: {
		// 

	},
};